gmp_neg
gmp_or
GMP Functions
PHP Manual

# gmp_nextprime

(PHP 5 >= 5.2.0)

gmp_nextprime — Find next prime number

### Description

resource gmp_nextprime ( int `$a` )

Find next prime number

### Parameters

`a`

  It can be either a GMP number resource , or a numeric string given that it is possible to convert the latter to a number.

### Return Values

Return the next prime number greater than `a`, as a GMP number.

### Examples

Example #1 gmp_nextprime() example

`<?php
$prime1 = gmp_nextprime(10); // next prime number greater than 10
$prime2 = gmp_nextprime(-1000); // next prime number greater than -1000
echo gmp_strval($prime1) . "\n";
echo gmp_strval($prime2) . "\n";
?>`

The above example will output:

    11
    -997

### Notes

> Note: This function uses a probabilistic algorithm to identify primes and chances to get a composite number are extremely small.

gmp_neg
gmp_or
GMP Functions
PHP Manual